| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBitmapMetrics Struct Reference
[2D]

Metrics for a glyph that are dependent from whether a simple or antialiased image is used. More...

`#include <ivideo/fontserv.h>`

List of all members.

## Public Attributes
int | height
| Height of the glyph image.
int | left
| X offset of the image to the pen position.
int | top
| Y offset of the image to the pen position.
int | width
| Width of the glyph image.

## Detailed Description

Metrics for a glyph that are dependent from whether a simple or antialiased image is used.

Definition at line 83 of file fontserv.h.

## Member Data Documentation

int csBitmapMetrics::height

Height of the glyph image.

Definition at line 88 of file fontserv.h.

Referenced by csG2DDrawText< Tpixel, Tpixmixer1, Tpixmixer2, Tpixmixer3 >::DrawText().

int csBitmapMetrics::left

X offset of the image to the pen position.

Definition at line 90 of file fontserv.h.

Referenced by csG2DDrawText< Tpixel, Tpixmixer1, Tpixmixer2, Tpixmixer3 >::DrawText().

int csBitmapMetrics::top

Y offset of the image to the pen position.

Definition at line 92 of file fontserv.h.

Referenced by csG2DDrawText< Tpixel, Tpixmixer1, Tpixmixer2, Tpixmixer3 >::DrawText().

int csBitmapMetrics::width

Width of the glyph image.

Definition at line 86 of file fontserv.h.

Referenced by csG2DDrawText< Tpixel, Tpixmixer1, Tpixmixer2, Tpixmixer3 >::DrawText().

The documentation for this struct was generated from the following file:

- ivideo/fontserv.h